<template>
	<view class="column scrolly hb">
		<!-- <scroll-view :scroll-y="true" class="hb">
			<image :src="enterpriseimg"
			 mode="widthFix" style="width: 100vw; " class="scrolly flex-1"></image>
		</scroll-view> -->
		<tools></tools>
	</view>
</template>

<script>
	import{getenterprise} from '@/api/index.js'
	import tools from '@/components/tools.vue'
	// import tools from '@/components/tools1.vue'
	// import tools from '@/components/toolA.vue'
	export default {
		components: {
			tools,
		},
		data() {
			return {
				enterpriseimg:''
			}
		},
		//发送给朋友
		onShareAppMessage(res) {
			return {
				title: this.$store.state.logoname,
				path: '/pages/about/index',
				imageUrl: this.$store.state.imgpath+'/app/image/logoshare.png' //分享图标，路径可以是本地文件路径、代码包文件路径或者网络图片路径.支持PNG及JPG。显示图片长宽比是 5:4
			}
			
		},
		//分享到朋友圈
		onShareTimeline(res) {
			return {
				title: this.$store.state.logoname,
				path: '/pages/about/index',
				imageUrl: this.$store.state.imgpath+'/app/image/logoshare.png' //分享图标，路径可以是本地文件路径、代码包文件路径或者网络图片路径.支持PNG及JPG。显示图片长宽比是 5:4
			}
			
		},
		mounted() {
			
		},
		onShow() {
			const enterpriseimg = []
			this.getenterprise()
		},
		methods: {
			getenterprise(){
				getenterprise().then(res=>{
					this.enterpriseimg=res.data.images
					console.log(res)
				})
			},
		}
	}
</script>

<style lang="scss">
.cont{
	width: 100%;
}
</style>
